server:
  port: 10086
  application:
    name: test

spring:
  datasource:
    dynamic:
      primary: master
      strict: false
      datasource:
        master:
          url: jdbc:mysql://10.10.10.221:3306/business_order?serverTimezone=GMT%2B8&useUnicode=true&characterEncoding=utf-8&useSSL=false&allowMultiQueries=true&allowPublicKeyRetrieval=true
          username: business_order
          password: business_order
          driver-class-name: com.mysql.cj.jdbc.Driver
        truck:
          url: jdbc:mysql://10.10.10.221:3306/business_truck?serverTimezone=GMT%2B8&useUnicode=true&characterEncoding=utf-8&useSSL=false&allowMultiQueries=true&allowPublicKeyRetrieval=true
          username: business_truck
          password: business_truck
          driver-class-name: com.mysql.cj.jdbc.Driver
        address:
          url: jdbc:mysql://10.10.10.221:3306/business_address?serverTimezone=GMT%2B8&useUnicode=true&characterEncoding=utf-8&useSSL=false&allowMultiQueries=true&allowPublicKeyRetrieval=true
          username: business_address
          password: business_address
          driver-class-name: com.mysql.cj.jdbc.Driver
        driver:
          url: jdbc:mysql://10.10.10.221:3306/business_driver?serverTimezone=GMT%2B8&useUnicode=true&characterEncoding=utf-8&useSSL=false&allowMultiQueries=true&allowPublicKeyRetrieval=true
          username: business_driver
          password: business_driver
          driver-class-name: com.mysql.cj.jdbc.Driver
        path:
          url: jdbc:mysql://10.10.10.221:3306/business_path?serverTimezone=GMT%2B8&useUnicode=true&characterEncoding=utf-8&useSSL=false&allowMultiQueries=true&allowPublicKeyRetrieval=true
          username: business_path
          password: business_path
          driver-class-name: com.mysql.cj.jdbc.Driver
        goods:
          url: jdbc:mysql://10.10.10.221:3306/business_goods?serverTimezone=GMT%2B8&useUnicode=true&characterEncoding=utf-8&useSSL=false&allowMultiQueries=true&allowPublicKeyRetrieval=true
          username: business_goods
          password: business_goods
          driver-class-name: com.mysql.cj.jdbc.Driver
        company:
          url: jdbc:mysql://10.10.10.221:3306/business_company?serverTimezone=GMT%2B8&useUnicode=true&characterEncoding=utf-8&useSSL=false&allowMultiQueries=true&allowPublicKeyRetrieval=true
          username: business_company
          password: business_company
          driver-class-name: com.mysql.cj.jdbc.Driver
        user:
          url: jdbc:mysql://10.10.10.221:3306/business_user?serverTimezone=GMT%2B8&useUnicode=true&characterEncoding=utf-8&useSSL=false&allowMultiQueries=true&allowPublicKeyRetrieval=true
          username: business_user
          password: business_user
          driver-class-name: com.mysql.cj.jdbc.Driver
        mine:
          url: jdbc:mysql://10.10.10.221:3306/business_mine?serverTimezone=GMT%2B8&useUnicode=true&characterEncoding=utf-8&useSSL=false&allowMultiQueries=true&allowPublicKeyRetrieval=true
          username: business_mine
          password: business_mine
          driver-class-name: com.mysql.cj.jdbc.Driver
  data:
    redis:
      host: 10.10.10.221
      password: test
      port: 6379
      database: 30
      timeout: 10000
#
#mybatis-plus:
#  mapper-locations: classpath*:/mapper/*.xml    #扫描xml文件
#  #实体扫描，多个package用逗号或者分号分隔
#  typeAliasesPackage: com.sckw.*.entity
#  configuration:
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

#
mybatis-plus:
  mapper-locations: classpath*:/mapper/*.xml
  typeAliasesPackage: com.sckw.*.entity
  configuration:
    map-underscore-to-camel-case: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

